qsearch(1)

NAME
qsearch - search pkgname/desc

SYNOPSIS
qsearch [opts] <regex>

DESCRIPTION
qsearch performs a search over the name and/or description of packages. By default, a search over all package names is performed over all ebuilds in the tree.

OPTIONS

-a, --all
    List the descriptions of every package in the cache.

-s, --search
    Regex search package basenames.

-S <arg>, --desc <arg>
    Regex search package descriptions (or homepage when using -H).

-N, --name-only
    Only show package name.

-H, --homepage
    Show homepage info instead of description.

-R, --repo
    Show repository the ebuild originates from.

-F <arg>, --format <arg>
    Print matched atom using given format string.

--root <arg>
    Set the ROOT env var.

-v, --verbose
    Ignored for compatibility with other qapplets.

-q, --quiet
    Ignored for compatibility with other qapplets.

-C, --nocolor
    Don't output color.

--color
    Force color in output.

-h, --help
    Print this help and exit.

-V, --version
    Print version and exit.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/
Product: Portage Development; Component: Tools

AUTHORS
Ned Ludd <solar@gentoo.org>
Mike Frysinger <vapier@gentoo.org>
Fabian Groffen <grobian@gentoo.org>

SEE ALSO
q(1), qatom(1), qcheck(1), qdepends(1), qfile(1), qgrep(1), qkeyword(1), qlist(1), qlop(1), qmanifest(1), qmerge(1), qpkg(1), qsize(1), qtbz2(1), qtegrity(1), quse(1), qwhich(1), qxpak(1)